Campaign delivery report
GET
/sms-api/campaignMessages/{campaignId}Per-recipient messages for a campaign returned by Send SMS, with the current delivery status of each. Paginated.
Parameters
campaignIdpathstringrequiredThe campaignId returned by Send SMS.
pagequeryintegeroptionalPage number, starting at 1.
page_sizequeryintegeroptionalRows per page, 1 to 100. Default 15.
| Field | Type | Required | Description |
|---|---|---|---|
campaignIdpath | string | required | The campaignId returned by Send SMS. |
pagequery | integer | optional | Page number, starting at 1. |
page_sizequery | integer | optional | Rows per page, 1 to 100. Default 15. |
Request
curl -X GET "https://api.bulkclix.com/api/v1/sms-api/campaignMessages/5f0d9c8e-2b1a-4c3d-9e8f-7a6b5c4d3e2f?page_size=50" \ -H "x-api-key: YOUR_API_KEY" \ -H "Accept: application/json"
Response · 200
application/json
{ "data": [ { "id": "c3a1…", "senderId": "MYBRAND", "recipient": "233241234567", "message": "Your order #4521 has shipped and arrives tomorrow.", "date": "09/22/2026", "time": "10:02 AM", "type": "Bulk Sms", "units": 1, "status": "Delivered" } ], "links": { "first": "…", "last": "…", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "per_page": 50, "to": 1, "total": 1 } }